Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export
Class FlashHtmlHandler

    java.lang.Object
      net.sf.jasperreports.engine.export.FlashHtmlHandler

All Implemented Interfaces:
  GenericElementHandler, GenericElementHtmlHandler

    public class FlashHtmlHandler

extends java.lang.Object
implements GenericElementHtmlHandler

A HTML export handler for generic print elements produced by `FlashPrintElement`.

Version:
  $Id: FlashHtmlHandler.java 3193 2009-11-10 15:19:08Z lucianc $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`FlashHtmlHandler()`

Method Summary
`java.lang.String` | `getHtmlFragment(JRHtmlExporterContext exporterContext, JRGenericPrintElement element)` Outputs an HTML fragment that embeds a Flash movie.
`static FlashHtmlHandler` | `getInstance()`
`boolean` | `toExport(JRGenericPrintElement element)` Always exports.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlashHtmlHandler

    public FlashHtmlHandler()

Method Detail

### getInstance

    public static FlashHtmlHandler getInstance()

### toExport

    public boolean toExport(JRGenericPrintElement element)

  Always exports.

  Specified by:
    `toExport` in interface `GenericElementHandler`
  Parameters:
    `element` - the element
  Returns:
    whether the element is to be exported or skipped

### getHtmlFragment

    public java.lang.String getHtmlFragment(JRHtmlExporterContext exporterContext,
                                            JRGenericPrintElement element)

  Outputs an HTML fragment that embeds a Flash movie.

  Specified by:
    `getHtmlFragment` in interface `GenericElementHtmlHandler`
    `element` - the generic print element
  Returns:
    the HTML fragment that represents the exported element
  See Also:
    `FlashPrintElement.PARAMETER_SWF_URL`, `FlashPrintElement.PARAMETER_FLASH_VAR_PREFIX`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com